/*******************************************************************************
 * SplineAudioComponent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SplineAudioComponent extends AudioComponent
    native
    editinlinenew
    collapsecategories
    hidecategories(Object,ActorComponent,Object,ActorComponent);

struct InterpPointOnSpline
{
    var() Vector Position;
    var() float InVal;
    var() float Length;

    structdefaultproperties
    {
        Position=(X=0.0,Y=0.0,Z=0.0)
        InVal=0.0
        Length=0.0
    }
};

var() float ListenerScopeRadius;
var int ClosestPointOnSplineIndex;
var init array<init InterpPointOnSpline> Points;

defaultproperties
{
    ListenerScopeRadius=1200.0
}